Subject: Re: [PATCH] [v2] power/fsl: add MDIO dt binding for FMan

From: Scott Wood <[email-masked]>
Date: Mon, 22 Dec 2014 03:42:10 -0600

On Mon, 2014-12-22 at 03:37 -0600, Emil Medve wrote:
> Hello Scott,
> 
> 
> On 12/22/2014 02:32 AM, Scott Wood wrote:
> > On Mon, 2014-12-22 at 02:20 -0600, Emil Medve wrote:
> >> For the purpose of an example in the binding document, I suggest we just
> >> stick with the IEEE standard frequency.
> > 
> > The whole reason for this property existing in the device tree is
> > non-standard frequencies.
> 
> While the standard claims 2.5 MHz, most MDIO controllers and PHY devices
> support frequencies well beyond the standard. Specifying a lower then
> the standard frequency for the benefit of some errata is just one side
> of this property

The erratum was (until now) the only claimed reason for it.  If there
are other reasons why one would specify a different frequency (in
particular, that relate to hardware description), please elaborate.

> >> We can continue this conversation about errata handling when we submit
> >> the code relevant to this binding (and the FMan v3 support)
> > 
> > It affects the binding, so let's discuss it now please.
> 
> I think this specific (unpublished yet) errata has less bearing on the
> binding then you might believe. This is mostly about providing a
> common/default frequency supported by all the devices on some board

What reason other than an erratum would there be for the standard
frequency not being supported?

-Scott